## org.jboss.netty.channel
Class ChannelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jboss.netty.channel.ChannelException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ChannelPipelineException, TimeoutException

    public class ChannelException

extends RuntimeException

A `RuntimeException` which is thrown when an I/O operation fails.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee
See Also:
  Serialized Form

Constructor Summary
`ChannelException()` Creates a new exception.
`ChannelException(String message)` Creates a new exception.
`ChannelException(String message, Throwable cause)` Creates a new exception.
`ChannelException(Throwable cause)` Creates a new exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChannelException

    public ChannelException()

  Creates a new exception.

### ChannelException

    public ChannelException(String message,
                            Throwable cause)

  Creates a new exception.

### ChannelException

    public ChannelException(String message)

  Creates a new exception.

### ChannelException

    public ChannelException(Throwable cause)

  Creates a new exception.

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.